Bug 488175 - Package Review: ibus-table-extraphrase
Package Review: ibus-table-extraphrase
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
: i18n
Depends On: 488010
Blocks: 484650
  Show dependency treegraph
 
Reported: 2009-03-02 19:13 EST by Caius Chance
Modified: 2009-05-05 00:28 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 488173
Environment:
Last Closed: 2009-05-05 00:28:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Caius Chance 2009-03-02 19:13:34 EST
A split from ibus-table-chinese, which was sub-package of ibus-table.

Uploading srpm and spec.
Comment 1 Caius Chance 2009-03-27 03:06:26 EDT
Spec URL: http://cchance.fedorapeople.org/packaging/ibus-table-extraphrase-1.1.0.20090327-1.fc11.src.rpm
SRPM URL: http://cchance.fedorapeople.org/packaging/ibus-table-extraphrase.spec
Description: A split from ibus-table-chinese, which was sub-package of ibus-table.
Comment 2 Parag AN(पराग) 2009-03-30 04:50:30 EDT
Suggestions:
1) Change license to GPLv3+
2) Good if you preserve timestamp of svg file also. Use
make DESTDIR=%{buildroot} install INSTALL="install -p"
3) use macros.
  replace /usr/share/ with %{_datadir}

why not .db files created and installed in this package?
Comment 3 Caius 'kaio' Chance 2009-03-30 13:22:07 EDT
HI Parag,

Thanks, I will fix 1 - 3 asap.

As in pre 1.1 version, extra_phrase.txt existed without creation. I keep this because of completeness of ibus-table. This will be investigated after all packages have entered rawhide.
Comment 5 Jens Petersen 2009-03-31 07:24:23 EDT
Can you add some explanation how to use this package?
Comment 6 Caius 'kaio' Chance 2009-03-31 09:53:12 EDT
ibus-table has 'ibus-table-createdb' which converts tables to sqlite3 .db files.

`ibus-table-createdb --help` will show that two parameters needed. There is one to specify {cangjie3,cangjie5,wubi,erbi,zhengma,etc}.txt table source file, another one is to specify such extra_phrase.txt phrase supplement file.

After the new .db file has been generated, overwrite the original one in /usr/share/ibus-table/tables/

To get end-users rebuild their table db smoothly, I recommend creating shell scripts to call ibus-table-createdb. However, rebuild of table db involves table source file, which needs srpm.

Also should look into whether including extraphrase data by default affects performance and usability or not.
Comment 7 Caius Chance 2009-04-01 20:34:00 EDT
Hi Jens, what would you think if we could approve that now and work out the way to include this to tables of ibus-table afterwards?
Comment 8 Caius Chance 2009-04-05 21:09:42 EDT
ping?
Comment 9 Jens Petersen 2009-04-06 01:47:52 EDT
(In reply to comment #7)
> Hi Jens, what would you think if we could approve that now and work out the way
> to include this to tables of ibus-table afterwards?  

Yes, that should be fine - I think your idea of adding ibus-table-<name-extraphrase subpackages sounds reasonable, if it is useful for people.
Comment 10 Parag AN(पराग) 2009-04-06 01:56:22 EDT
Review:
+ package builds in mock (rawhide i586).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1279006
+ rpmlint output for SRPM and for RPM is 
ibus-table-extraphrase.src:54: W: libdir-macro-in-noarch-package %{_libdir}/pkgconfig/ibus-table-extraphrase.pc
==> is this really needed?
+ source files match upstream url
2dd3e5cf76c8fa36b17a6ade737e0801  ibus-table-extraphrase-1.1.0.20090327.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no scriptlet used.
+ file permissions are appropriate.
+ Not a GUI App.  

Suggestions:
1) Add Changelog in upstream tarball. When you add it then you can add this Changelog file as %doc

2) can you check if ibus-table-extraphrase.pc is really needed?
Comment 15 Jens Petersen 2009-04-08 04:04:31 EDT
%{_libdir}/pkgconfig/ibus-table-extraphrase.pc

It should be under _datadir like we did for ibus-table.
Comment 18 Caius Chance 2009-04-14 22:06:04 EDT
Spec URL: http://cchance.fedorapeople.org/packaging/ibus-table-extraphrase-1.1.0.20090415-1.fc11.src.rpm

SRPM URL: http://cchance.fedorapeople.org/packaging/ibus-table-extraphrase.spec  

Description: Extra phrase data for tables of ibus-table. This is a split from ibus-table-chinese, which was sub-package of
ibus-table.
Comment 19 Caius Chance 2009-04-14 22:55:28 EDT
Spec URL:
http://cchance.fedorapeople.org/packaging/ibus-table-extraphrase-1.1.0.20090415-2.fc11.src.rpm

SRPM URL: http://cchance.fedorapeople.org/packaging/ibus-table-extraphrase.spec 

Description: Extra phrase data for IBus-Table which is one of the engines of input method framework IBus.
Comment 20 Parag AN(पराग) 2009-04-15 00:01:59 EDT
Review:
+ koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1299534

+ rpmlint gave only
ibus-table-extraphrase.noarch: W: devel-file-in-non-devel-package /usr/share/pkgconfig/ibus-table-extraphrase.pc
==> can be ignored.

+ source files match upstream url
c2f951fed13d626f4fc29fcdd7ac74ba  ibus-table-extraphrase-1.1.0.20090415.tar.gz



+ Package now 
Provides: pkgconfig(ibus-table-extraphrase) = 1.1.0.20090415

APPROVED.
Comment 21 Kevin Fenzi 2009-04-16 00:24:43 EDT
Please use a cvs template here to let us know what you want: 

https://fedoraproject.org/wiki/CVS_admin_requests
Comment 22 Caius Chance 2009-04-17 01:58:09 EDT
Package Name: ibus-table-extraphrase
Short Description: Extra phrase data for IBus Table
Owners: cchance
Branches: devel
InitialCC: i18n-team
Comment 23 Kevin Fenzi 2009-04-17 12:34:13 EDT
cvs done.
Comment 24 Parag AN(पराग) 2009-05-05 00:11:46 EDT
can we close this review?
Comment 25 Caius Chance 2009-05-05 00:28:31 EDT
built: http://koji.fedoraproject.org/koji/buildinfo?buildID=99243

Note You need to log in before you can comment on or make changes to this bug.